Page MenuHomePhabricator

Create a state dropdown for Mustache forms
Closed, ResolvedPublic1 Story Points

Description

RapidHTML forms have a <select> for states/provinces, while Mustache forms only have a text box so far.

Event Timeline

Ejegg created this task.Nov 25 2015, 12:28 AM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 25 2015, 12:28 AM
atgo added a subscriber: atgo.Nov 25 2015, 6:49 PM

hey @Ejegg is this a long term thing or something we need for adyen?

Ejegg added a comment.Nov 25 2015, 6:49 PM

It's a nice-to-have for Adyen

cwdent moved this task from Backlog to Review on the Fundraising Sprint Zapp board.
cwdent set Security to None.

Change 258080 had a related patch set uploaded (by Cdentinger):
fiddle with iframe container/content height

https://gerrit.wikimedia.org/r/258080

awight moved this task from Review to Doing on the Fundraising Sprint Zapp board.Dec 10 2015, 1:02 AM

@awight T120992 has a small start on doing some for real L10N on the mustache forms, but it seems like we might want to wedge this in for US in the time being. Do you have thoughts on that?

cwdent edited a custom field.Dec 14 2015, 10:37 PM

@cwdent
I'm happy with any degree of provisional wedging, in this case--my only objection in CR was that the state dropdown should be conditional so that it only appears for countries that it supports (US).

Change 258075 had a related patch set uploaded (by Cdentinger):
add state dropdown to mustache form

https://gerrit.wikimedia.org/r/258075

Change 258075 merged by jenkins-bot:
add state dropdown to mustache form

https://gerrit.wikimedia.org/r/258075

cwdent closed this task as Resolved.Dec 22 2015, 12:31 AM
cwdent moved this task from Pending Deployment to Done on the Fundraising Sprint Zapp board.
mmodell removed a subscriber: awight.Jun 22 2017, 9:43 PM